"""Converts all sliders to shapekeys. You can then find the shapekeys in the shapekey panel of the mesh."""
import bpy
from HumGen3D import Human


def main(context: bpy.types.Context, human: Human):
    """Converts all livekeys to shapekeys.

    Args:
        context (bpy.types.Context): Blender context.
        human (Human): Instance of a single human. Script will be run for each human.
    """
    for key in human.keys.all_livekeys:
        key.to_shapekey()
